xine-lib: IHidden_vt Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
IHidden_vt Struct Reference

`#include <interfaces.h>`

## Data Fields
long STDCALL(* | QueryInterface )(IUnknown *This, const GUID *riid, void **ppvObject)
long STDCALL(* | AddRef )(IUnknown *This)
long STDCALL(* | Release )(IUnknown *This)
HRESULT STDCALL(* | GetSmth )(IHidden *This, int *pv)
HRESULT STDCALL(* | SetSmth )(IHidden *This, int v1, int v2)
HRESULT STDCALL(* | GetSmth2 )(IHidden *This, int *pv)
HRESULT STDCALL(* | SetSmth2 )(IHidden *This, int v1, int v2)
HRESULT STDCALL(* | GetSmth3 )(IHidden *This, int *pv)
HRESULT STDCALL(* | SetSmth3 )(IHidden *This, int v1, int v2)
HRESULT STDCALL(* | GetSmth4 )(IHidden *This, int *pv)
HRESULT STDCALL(* | SetSmth4 )(IHidden *This, int v1, int v2)
HRESULT STDCALL(* | GetSmth5 )(IHidden *This, int *pv)
HRESULT STDCALL(* | SetSmth5 )(IHidden *This, int v1, int v2)
HRESULT STDCALL(* | GetSmth6 )(IHidden *This, int *pv)

## Field Documentation

## ◆ AddRef

long STDCALL(* IHidden_vt::AddRef) (IUnknown *This)

## ◆ GetSmth

HRESULT STDCALL(* IHidden_vt::GetSmth) (IHidden *This, int *pv)

## ◆ GetSmth2

HRESULT STDCALL(* IHidden_vt::GetSmth2) (IHidden *This, int *pv)

Referenced by DS_VideoDecoder_DecodeInternal(), and DS_VideoDecoder_GetValue().

## ◆ GetSmth3

HRESULT STDCALL(* IHidden_vt::GetSmth3) (IHidden *This, int *pv)

Referenced by DS_VideoDecoder_GetValue().

## ◆ GetSmth4

HRESULT STDCALL(* IHidden_vt::GetSmth4) (IHidden *This, int *pv)

Referenced by DS_VideoDecoder_GetValue().

## ◆ GetSmth5

HRESULT STDCALL(* IHidden_vt::GetSmth5) (IHidden *This, int *pv)

Referenced by DS_VideoDecoder_GetValue().

## ◆ GetSmth6

HRESULT STDCALL(* IHidden_vt::GetSmth6) (IHidden *This, int *pv)

Referenced by DS_VideoDecoder_GetValue().

## ◆ QueryInterface

long STDCALL(* IHidden_vt::QueryInterface) (IUnknown *This, const GUID *riid, void **ppvObject)

## ◆ Release

long STDCALL(* IHidden_vt::Release) (IUnknown *This)

## ◆ SetSmth

HRESULT STDCALL(* IHidden_vt::SetSmth) (IHidden *This, int v1, int v2)

Referenced by DS_VideoDecoder_DecodeInternal(), and DS_VideoDecoder_SetValue().

## ◆ SetSmth2

HRESULT STDCALL(* IHidden_vt::SetSmth2) (IHidden *This, int v1, int v2)

Referenced by DS_VideoDecoder_SetValue().

## ◆ SetSmth3

HRESULT STDCALL(* IHidden_vt::SetSmth3) (IHidden *This, int v1, int v2)

Referenced by DS_VideoDecoder_SetValue().

## ◆ SetSmth4

HRESULT STDCALL(* IHidden_vt::SetSmth4) (IHidden *This, int v1, int v2)

Referenced by DS_VideoDecoder_SetValue().

## ◆ SetSmth5

HRESULT STDCALL(* IHidden_vt::SetSmth5) (IHidden *This, int v1, int v2)

Referenced by DS_VideoDecoder_SetValue().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/libw32dll/DirectShow/interfaces.h